// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.

import './../static/css/layout.css';
import './../static/css/jquery.emoji.css';
import './../static/css/style.css';
import './../static/css/main.less';
import 'jquery'
import Vue from 'vue'
import store from '@/extend/vuex';
import App from './App'
import router from './router'
import '@/extend/index'

Vue.config.productionTip = false

var vue=new Vue({
  el: '#app',
  router,
  store,
  components: { App },
  template: '<App/>'
})
Vue.directive('href', {    
  inserted: function (el,data) {  
   el.attributes.path=data.value;
    el.onclick=function(){
      vue.$router.push({
        path: el.attributes.path
      });
    }
  },
  update(el,data){
    el.attributes.path=data.value;
  }
})
